Contents
Index 🔎︎

# ChDir Statement

Oofuu ykn galeeloo ammee jijjiira.

Some DOS-specific file and directory functions are no longer provided in LibreOffice, or their function is only limited. For example, support for the ChDir, ChDrive and CurDir functions is not provided. Some DOS-specific properties are no longer used in functions that expect file properties as parameters (for example, to differentiate from concealed files and system files). This ensures the greatest possible level of platform independence for LibreOffice. Therefore this feature is subject to removal in a future release.

The ScriptForge library in LibreOffice 7.1 introduces the FileSystem service with methods to handle files and folders in user scripts.

### Syntax:

    ChDir Text As String

### Parameters:

Barruu: Himamsa itergaa kan galeeloota xurree oofuu ibsu.

Yoo oofuu ammee jijjiiruu barbaadde oofuu qubee xuqlameetti aansee dhufu qalchi.

### Error codes:

5 Ejjatoo fashalaan waamu

76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne 76 Xurree hin argamne

### Example:

      Sub ExampleChDir
          Dim sDir1 As String, sDir2 As String
          sDir1 = "C:\Test"
          sDir2 = "D:\Private"
          ChDir( sDir1 )
          MsgBox CurDir
          ChDir( sDir2 )
          MsgBox CurDir
      End Sub

Matadureewwan Walfakkatan

ScriptForge.FileSystem service

ScriptForge.TextStream service